package com.mi.cloudconfigclient;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.core.env.Environment;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/test")
public class TestController {
	
	@Autowired
	private Environment env;
	
	@Autowired
	private TestConfig testConfig;
	
	@GetMapping
    public String props() {
		String prop = env.getProperty("prop1");
        return prop + ":" + testConfig.getProp1();
    }

}
